# Uses of Interface
org.sunflow.core.PhotonStore

Packages that use PhotonStore
Package
Description
org.sunflow.core
org.sunflow.core.photonmap

## Uses of PhotonStore in org.sunflow.core

Subinterfaces of PhotonStore in org.sunflow.core
Modifier and Type
Interface
Description
`interface`
`CausticPhotonMapInterface`
This class is a generic interface to caustic photon mapping capabilities.
`interface`
`GlobalPhotonMapInterface`
Represents a global photon map.
Methods in org.sunflow.core with parameters of type PhotonStore
Modifier and Type
Method
Description
`boolean`
Scene.`calculatePhotons(PhotonStore map, String type, int seed, Options options)`
Create a photon map as prescribed by the given `PhotonStore`.

## Uses of PhotonStore in org.sunflow.core.photonmap

Classes in org.sunflow.core.photonmap that implement PhotonStore
Modifier and Type
Class
Description
`final class`
`CausticPhotonMap`
`final class`
`GlobalPhotonMap`
`class`
`GridPhotonMap`